Get Restriction Type
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/restriction-types/{restriction-type-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/campaign-service/restriction-types/{restriction-type-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/campaign-service/restriction-types/{restriction-type-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Get Restriction Type
Endpoint to get a specific restriction type.
GET
/
public
/
v1
/
campaign-service
/
restriction-types
/
{restriction-type-id}
Get Restriction Type
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
Restriction type ID.
Response
Successful Response
The type of restriction.
The ID of the restriction.
The interaction type of the restriction.
Available options:
impressions, clicks, conversions The frequency type of the restriction.
Available options:
daily, weekly, monthly The level of the restriction.
Available options:
campaign, bid Was this page helpful?
⌘I